| semilimes mcu sdk 1.1.2 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DcGauge Class Reference

## Public Member Functions
| ~DcGauge ()
void | set (const char *title, int thickness, int degrees, int spacing, int fontSize, int value, const char *displayValue, const char *pointer, const char *pointerColor, const char *progressBar, const char *progressBarColor)
void | addSegment (int from, int to, const char *color)
void | appendSegments ()
char * | get ()

## Public Attributes
char | pointer [4][9] = {"none", "triangle", "circle", "needle"}
char | progressBar [3][8] = {"none", "basic", "rounded"}

## Constructor & Destructor Documentation

## ◆ ~DcGauge()

DcGauge::~DcGauge | ( |  | ) |
| inline

Returns
  void

## Member Function Documentation

## ◆ addSegment()

void DcGauge::addSegment | ( | int | from,
|  | int | to,
|  | const char * | color )

Parameters

  from | - between the 0-99 range
  to | - between the 1-100 range
  color | - defines the RGB color of the pointer, if set. The allowed value is in the #[0-F][0-F][0-F][0-F][0-F][0-F] format

Returns
  void

## ◆ appendSegments()

void DcGauge::appendSegments | ( |  | ) |

Returns
  void

## ◆ get()

char * DcGauge::get | ( |  | ) |

Returns
  char*

## ◆ set()

void DcGauge::set | ( | const char * | title,
|  | int | thickness,
|  | int | degrees,
|  | int | spacing,
|  | int | fontSize,
|  | int | value,
|  | const char * | displayValue,
|  | const char * | pointer,
|  | const char * | pointerColor,
|  | const char * | progressBar,
|  | const char * | progressBarColor )

Parameters

  title | - is the global label displayed at the beginning of the component
  thickness | - controls thickness of the gauge segments. Allowed values: 10-100
  degrees | - specifies the angular space the gauge will be using. Allowed values: 30-360
  spacing | - specifies the separation distance between segments. Allowed values: 0-20
  fontSize | - determines the size of the displayValue near to the gauge. Allowed values: 8-48
  value | - is the normalized value to control the gauge. Allowed values: 0-100
  displayValue | - is a free field to show the actual value, or the actual value + unit of measure, or just a custom text
  pointer | - shows a moving indicator on the gauge, depending on the value, and must have one of the following values: char pointer[4][9] = {"none", "triangle", "circle", "needle"};
  pointerColor | - defines the RGB color of the pointer, if set. The allowed value is in the #[0-F][0-F][0-F][0-F][0-F][0-F] format
  progressBar | - shows a progress bar moving on the arch of the gauge, depending on the value, and must have one of the following values: char progressBar[3][8] = {"none", "basic", "rounded"};
  progressBarColor | - defines the RGB color of the progress bar, if set. The allowed value is in the #[0-F][0-F][0-F][0-F][0-F][0-F] format

Returns
  void

## Member Data Documentation

## ◆ pointer

char DcGauge::pointer[4][9] = {"none", "triangle", "circle", "needle"}

Parameters

  char | pointer[4][9] = {"none","triangle","circle","needle"};

## ◆ progressBar

char DcGauge::progressBar[3][8] = {"none", "basic", "rounded"}

Parameters

  char | progressBar[3][8] = {"none", "basic", "rounded"};

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/dc_gauge.h
- C:/Users/flavio_unige/Desktop/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/dc_gauge.cpp